%define upstream_name    Dist-Zilla-Plugin-GithubMeta
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Automatically include GitHub meta information in META.yml
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.101.582
BuildRequires: perl(Dist::Zilla::Role::MetaProvider) >= 4.101.582
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Moose) >= 1.70.0
BuildRequires: perl(MooseX::Types::URI) >= 0.30.0
BuildArch:  noarch

%description
Dist::Zilla::Plugin::GithubMeta is a the Dist::Zilla manpage plugin to
include GitHub the http://github.com manpage meta information in
'META.yml'.

It automatically detects if the distribution directory is under 'git'
version control and whether the 'origin' is a GitHub repository and will
set the 'repository' and 'homepage' meta in 'META.yml' to the appropriate
URLs for GitHub.

Based on the Module::Install::GithubMeta manpage which was based on the
Module::Install::Repository manpage by Tatsuhiko Miyagawa

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Dec 08 2011 kharec <kharec> 0.280.0-1.mga2
+ Revision: 179177
- update to 0.28

* Thu Nov 03 2011 jquelin <jquelin> 0.260.0-1.mga2
+ Revision: 162195
- update to 0.26

* Thu Oct 13 2011 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 154274
- update to 0.22
- update to 0.20
- update to 0.16
- update to 0.14

* Wed Jun 15 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 106850
- update to 0.12

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 40426
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-GithubMeta

